org.apache.cassandra.sink

## Interface IRequestSink

    public interface IRequestSink

### Method Summary

Methods
`IMutation` `handleWriteRequest(IMutation mutation)` Transform or drop a write request (represented by a RowMutation).

### Method Detail

#### handleWriteRequest

    IMutation handleWriteRequest(IMutation mutation)

Transform or drop a write request (represented by a RowMutation).

Parameters:
  `mutation` - the RowMutation to be applied locally.
Returns:
  null if the mutation is to be dropped, or the transformed mutation to apply, which may be just the original mutation.